import request from "@/utils/request";

export function listEngineer(query) {
  return request({
    url: '/project/engineeringEquipment/list',
    method: 'get',
    params: query
  })
}

// 查询列表
export function listDeviceInformation(query) {
  return request({
    url: '/project/engineeringEquipment/listEquipment',
    method: 'get',
    params: query
  })
}

// 绑定
export function updateBind(data) {
  return request({
    url: '/project/engineeringEquipment/addBind',
    method: 'put',
    data: data
  })
}


// 解绑
export function untieInformation(addressId, proId) {
  console.log(addressId)
  console.log(proId)
  let data = {
    deviceId: addressId,
    proId: proId
  }
  return request({
    url: `/project/engineeringEquipment/untieInformation`,
    method: 'post',
    data: data
  })
}
